V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
salor
V2EX  ›  Apple

煞笔苹果

  •  3
     
  •   salor · 65 天前 · 7517 次点击
    这是一个创建于 65 天前的主题,其中的信息可能已经有所发展或是发生改变。
    iOS 15 已经不让用了,我骂一句煞笔苹果不过份吧。

    第 1 条附言  ·  65 天前

    最绝的是,我把这个App降到了5年前的5.1版本还是用不了,依旧要求最低iOS16。 这就不只是它在最新的5.22版本使用iOS16新API的问题了。

    67 条回复    2024-02-21 18:30:19 +08:00
    sunzhuo
        1
    sunzhuo  
       65 天前
    不是太过分
    bclerdx
        2
    bclerdx  
       65 天前   ❤️ 1
    你可以选择不更新 App Store 。如果想更新就必须更新到 iOS 16 ,这有什么问题?
    我的另一款软件:Okta 也必须要求最低是 iOS 16 起步呢!!!
    salor
        3
    salor  
    OP
       65 天前
    @bclerdx 我可以不用你 iOS 16 中的新添加的功能,但你不能因为我不更新系统就不让我用 App 的所有功能,明白区别了么?
    Fish1024
        4
    Fish1024  
       65 天前   ❤️ 4
    app 选择支持到什么版本的系统是 app 开发者的权力而不是你的权力吧?你可以提出要求,但别人可以不理你。
    salor
        5
    salor  
    OP
       65 天前 via iPhone
    @Fish1024 我就是搞 iOS 的我懂 iOS 开发规范。你当然可以不理我,现在我作为消费者丢数据丢订单记录,我可以选择骂你、去 AppStore 给你打一星。
    CharleyLi
        6
    CharleyLi  
       65 天前 via iPhone
    苹果自家的应用貌似就 Apple Store 和 Apple 支持这两个有这症状,降级时提示项目不再提供。旧版本不提供技术支持说得过去,不给老版本用户花钱可不像苹果作风哪
    salor
        7
    salor  
    OP
       65 天前 via iPhone
    @CharleyLi 这两年苹果自家 App 强行推 SwiftUI ,一个比一个搞得激进。
    SwiftUI 每次推出的新特性也是激进得一逼完全不兼容旧版本。
    像库乐队 iMovie 剪辑 可立拍这些虽然新版本要求升 iOS16 ,但起码老版本在 iOS15 还能用。
    按苹果开发规范需要往前兼容两个版本,结果自己带头瞎搞。
    agagega
        8
    agagega  
       65 天前 via iPhone
    Apple Store 的逆天之处还不止这点😂发新品之前会关店,直接不让你买了
    Socrazy
        9
    Socrazy  
       65 天前 via iPhone
    让你们养老,哈哈
    PerFectTime
        10
    PerFectTime  
       65 天前   ❤️ 8
    哈哈哈我记得应用审核规范里面要求不能不给用户使用吧,这不就是只许州官放火不许百姓点灯吗
    frankkly
        11
    frankkly  
       65 天前
    这个确实过分了,我不更新系统你也得让我能用老版本 App
    georgewu57
        12
    georgewu57  
       65 天前
    我的 iPhone6 已经不让登录 ID 了😭
    GUANGLEI
        13
    GUANGLEI  
       65 天前
    我 IOS14 还能打开啊
    bclerdx
        14
    bclerdx  
       65 天前 via Android
    @frankkly 升级了不就可以用了吗?😏
    bclerdx
        15
    bclerdx  
       65 天前 via Android
    @salor 那你投诉、上诉或起诉吧。也可以法院打官司。
    ruimz
        16
    ruimz  
       65 天前 via iPhone
    第三方比如微软的应用,虽然最新版需要 iOS16 以上,但是可以下载 iOS15 兼容的版本,iOS15 的旧版本也可以登陆使用
    sheeta
        17
    sheeta  
       65 天前
    我的 ipad 还是 14 ,看了一眼,现在最新的都 17 了,我就不更新,哈哈
    uuhhme
        18
    uuhhme  
       65 天前 via Android
    我看一下我 ios15 的也这样了,这不是间接阻止用户购买新产品吗?
    8355
        19
    8355  
       65 天前   ❤️ 1
    App Store 和 Apple Store 是两码事吧。。
    App Store 下载 App
    Apple Store 购买苹果产品,不让用可以网页下单啊
    so2back
        20
    so2back  
       65 天前
    突然发现我 ios15 里的也一样
    weilongs
        21
    weilongs  
       65 天前
    吓我一跳 我还以为市场不让用了。
    frankkly
        22
    frankkly  
       65 天前
    @bclerdx #14 你这逻辑不对啊,我不升级,我不用你新功能就行了,但老版本你也强制不让我用了,就是不对啊
    Solael
        23
    Solael  
       65 天前   ❤️ 1
    这就是苹果,肿么你不服气
    bclerdx
        24
    bclerdx  
       65 天前 via Android
    @frankkly 如果已经是既定事实了,那也很难改变吧,就顺了吧。
    zackzergzeng
        25
    zackzergzeng  
       65 天前
    兼容 api 的成本太高了,我觉得 ios 每代更新越来越少了苹果就别整那么多版本了,像 window 一个大版本用好几年不好吗……
    myarsenal
        26
    myarsenal  
       65 天前   ❤️ 1
    新版本是很有必要的,修复了版本号过低的 bug
    Twins666
        27
    Twins666  
       65 天前   ❤️ 1
    @zackzergzeng 同意你的看法。其实以前 macOS 都不是每年更新的,有时候 2~3 年才更新一次,后来也学 iOS 每年更新了。现在无论是 iOS 还是 macOS ,每年的更新幅度真心不大!
    tgich
        28
    tgich  
       65 天前
    擦,我说我怎么换了个手机有几个 app 同步下载不了
    RSTAR
        29
    RSTAR  
       65 天前
    这是在线应用,很正常,本质就是个联网客户端。
    比如联网游戏,还要求客户端必须是最新版本呢,苹果允许老版本使用已经不错了。
    OP 身为开发,连单机和联网都不区分,还上来就彪脏字,实属自己骂自己了。
    salor
        30
    salor  
    OP
       65 天前
    @ailiaoke 苹果上架审核规则是禁热更新,禁提示更新/强制更新,禁这种不让用户用的行为。三方开发者敢搞这出是过不了审核的。你举的强制更新例子是在审核时服务端控制隐藏,过了审核后再放出来苹果也不会管。
    我骂苹果是因为他的心口不一,虽然他家干这种事也不是一天两天了。
    mumuuu
        31
    mumuuu  
       65 天前   ❤️ 3
    你这个苹果用户有点古怪啊,一般的苹果用户不都是在自己身上找问题吗?居然敢骂苹果
    ysc3839
        32
    ysc3839  
       65 天前 via Android
    @PerFectTime 可能是没有硬性要求,或者说是看公司规模选择性执法的,不然网游都不能强制要求升级客户端了。
    worldhandsomeboy
        33
    worldhandsomeboy  
       65 天前
    @salor 这个给我感受有点像那时候得系统暗自降低性能,老手机慢慢跟不上,新手机好有销路。我得 iPhone7 出来就到现在,不玩游戏还是能用,只是系统版本用不了最近的。题外话,SwiftUI 这东西需求那么多吗,我从 OC 到 Swift ,自己现有的东西能很快搭起新的 app ,这三个是工具语言,在抽离 iOS 开发一段时间后再回去,不会再想来来回回整这些了,只会关注新的东西,如跨平台或是前后端。
    tool2d
        34
    tool2d  
       65 天前 via Android
    那就升级呗,ios 17 开始才不能越狱,16 不都是可以的。
    ihwbunny
        35
    ihwbunny  
       65 天前
    加区的没有问题,iOS15.8 的没有被强制升级,App Store 依然可用
    ihwbunny
        36
    ihwbunny  
       65 天前
    你可以去到苹果社区去🐴他们
    xuxinglin8888
        37
    xuxinglin8888  
       65 天前 via Android
    哈哈,瞧不死活着的时候我研究了一下,太封闭限制太多果断没买过他们的产品,前年又拿我弟弟在用的手机试了下,依旧如此,从此不会去用他们家产品
    uuhhme
        38
    uuhhme  
       65 天前 via Android
    现在还可以监督模式延迟升级到 16.7.2 ,在犹豫要不要搞,搞得话,巨魔也没了
    lastrush
        39
    lastrush  
       65 天前
    还在用 iOS13
    GhostLin
        40
    GhostLin  
       65 天前
    我支持你骂苹果,再没人骂苹果,苹果就更像训犬一样驯化用户了。
    loveumozart
        41
    loveumozart  
       65 天前   ❤️ 1
    这种确实很恶心。

    但是我想了一下,可能是因为会按照版本来统计用户量,本身你这个低版本的用户量可能已经少到低于 1%,然后旧的 App 使用的 API 接口又希望下掉,那就只能把旧版本 App 强制禁止使用,然而没考虑到新版本 App 在 App Store 里面又只能用新的系统下载,属于是两边也没沟通协调。
    fengtianze
        42
    fengtianze  
       65 天前
    @ihwbunny 他这是 apple store ,买苹果产品那个。
    我第一眼也以为 app store 不能用了,结果仔细一看。。。感觉楼主有点儿刁,又不是核心功能,而且还有 web 版😑
    RW233
        43
    RW233  
       65 天前
    大果:你都在我这原价买东西了 升个系统又怎么了(滑稽
    parthenon2007
        44
    parthenon2007  
       65 天前
    @fengtianze #42 苹果才刁,有钱都不挣。这种 App 不应该尽最大可能向下兼容吗?
    lalalalla
        45
    lalalalla  
       65 天前
    既然傻逼,为什么还要在 apple store 里买东西呢
    usedname
        46
    usedname  
       64 天前 via Android   ❤️ 2
    从楼层的结论来看:苹果驯化用户的能力确实强
    ijyuqi
        47
    ijyuqi  
       64 天前
    还是苹果驯化的牛逼,这个傻逼早就想说了,不升级就不让用,强制你用,杂种
    szyp
        48
    szyp  
       64 天前
    这一点顶楼主,刚打开 apple store 试了一下也是一样
    tangzs
        49
    tangzs  
       64 天前
    多大件事? 某些层主怎么就污辱人了呢,block 了
    zhandouji2023
        50
    zhandouji2023  
       64 天前 via Android
    only Apple can do 😜
    since2014
        51
    since2014  
       64 天前   ❤️ 1
    苹果就是治各种不服,果粉的话就是适应,因为苹果是利益最大化,不是用户体验最大化

    保证利益的同时提升体验,就像是做买卖,就像是做买卖一定要赚高溢价的钱,走量啥的低三下气的赚钱看不上的

    苹果一直很强硬,几乎没服软过,没办法的
    zzNucker
        52
    zzNucker  
       64 天前
    是很傻逼,我以前用 6s 的时候系统养老的好好的,突然有天放桌上就让我激活,不然不让用了。。只能升级系统
    zzNucker
        53
    zzNucker  
       64 天前
    @usedname i2ex
    Eagleyes
        54
    Eagleyes  
       64 天前
    @zzNucker #52 我现在的 iPhone 10.33 系统依旧可以正常使用。

    只是某些强制要求新版,比如楼主说的 apple store 。

    一晃啊,这手机用了 10 年了
    zzNucker
        55
    zzNucker  
       64 天前
    @Eagleyes 我也不知道为啥,就很离谱,反正后面更新成新系统就好了,卡也没换也没问题,那时候好像是升到了 ios9 来着?
    xing7673
        56
    xing7673  
       64 天前
    @bclerdx #24 用户有不使用新版本的权利,不管是新系统还是新的 app ,这点在用户条款的可用性里面说的很清楚,再给你举一个例子,假设题主的 app 付费了这个版本
    magic3584
        57
    magic3584  
       64 天前
    我的 app 还在兼容 iOS12 。。。

    然而根据苹果官方
    76% iOS 17
    20% iOS 16
    4% Earlier

    虽然我也是 iOSer ,但是我没事也不会升系统(来自 iPhone7 升级到 12 ? 13 ?后开始狂杀后台的血泪史)
    rainbowmolly
        58
    rainbowmolly  
       64 天前
    用网页不行吗非要下个 app
    Biggoldfish
        59
    Biggoldfish  
       64 天前
    都买 iPhone 应该觉悟你只是花钱从 Apple 手里租了个手机
    shervy
        60
    shervy  
       64 天前
    我一定要支持你一下,那些说你爱用不用的,都是坚持苹果真香定律的,不用理~
    yinchunde
        61
    yinchunde  
       64 天前   ❤️ 1
    作为 app 开发者说一下。
    app 可以某个版本开始不支持老的系统版本,大概率是为了某些新 api 。
    而老的系统版本是可以用 app 的老版本的。

    一句话:你想用老系统还想用新版 app ,这不算太现实。
    woody3rd
        62
    woody3rd  
       64 天前
    @georgewu57 不会吧,我 5S 还能
    reputati0n
        63
    reputati0n  
       64 天前
    支持,现在安卓的 APP 还支持 6.0 呢,马上换
    gsy20050126
        64
    gsy20050126  
       63 天前 via iPhone
    @yinchunde if #available(ios 12.0 *)

    有些 app 旧版不让登陆,尤其是国产的,不理解
    yinchunde
        65
    yinchunde  
       63 天前
    @gsy20050126 那就是 app 开发者的锅了,后台根据版本号做了限制
    qf19910623
        66
    qf19910623  
       62 天前
    我就不一样了,每周二周三睡醒第一件事就是检查手机系统更新,如果有新版就立马升级。每次打开电脑第一件事先打开系统设置检查系统更新,第一时间升级补丁和版本。平时有事没事就打开 AppStore 检查软件更新,第一时间把所有软件升级了。我就是升级强迫症患者。
    qf19910623
        67
    qf19910623  
       62 天前
    我坚持用苹果唯一的原因就是苹果无差别第一时间给所有新老机型升级系统,不像安卓升个级磨磨叽叽还分先来后到,本来我挺喜欢安卓的开放的
    关于   ·   帮助文档   ·   博客   ·   API   ·   FAQ   ·   我们的愿景   ·   实用小工具   ·   5235 人在线   最高记录 6543   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 44ms · UTC 09:23 · PVG 17:23 · LAX 02:23 · JFK 05:23
    Developed with CodeLauncher
    ♥ Do have faith in what you're doing.